Last Comment Bug 680131 - MPL 2 upgrade: Bugzilla
: MPL 2 upgrade: Bugzilla
Status: RESOLVED FIXED
:
Product: Bugzilla
Classification: Server Software
Component: Bugzilla-General (show other bugs)
: unspecified
: All All
: -- enhancement (vote)
: Bugzilla 4.4
Assigned To: Frédéric Buclin
: default-qa
Mentors:
https://wiki.mozilla.org/MPL_Upgrade
Depends on:
Blocks: 370214 mpl2
  Show dependency treegraph
 
Reported: 2011-08-18 09:52 PDT by Teemu Mannermaa (:wicked)
Modified: 2016-05-02 15:46 PDT (History)
11 users (show)
LpSolit: approval+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch, v1 (879.47 KB, patch)
2012-01-06 17:19 PST, Frédéric Buclin
no flags Details | Diff | Splinter Review
Perl script to convert MPL 1.1 to MPL 2.0 (4.04 KB, text/plain)
2012-01-06 17:23 PST, Frédéric Buclin
no flags Details
patch, v1.1 (878.24 KB, patch)
2012-01-07 04:56 PST, Frédéric Buclin
glob: review-
Details | Diff | Splinter Review
Alternative patch v.1 (868.85 KB, patch)
2012-01-09 03:59 PST, Gervase Markham [:gerv]
no flags Details | Diff | Splinter Review
patch, v1.2 (890.09 KB, patch)
2012-01-09 10:40 PST, Frédéric Buclin
glob: review-
Details | Diff | Splinter Review
Perl script to convert MPL 1.1 to MPL 2.0, v2 (3.88 KB, text/plain)
2012-01-09 10:42 PST, Frédéric Buclin
no flags Details
patch, v1.3 (887.50 KB, patch)
2012-01-11 08:42 PST, Frédéric Buclin
kiko: review+
Details | Diff | Splinter Review
patch, v1.4 (888.18 KB, patch)
2012-01-11 08:58 PST, Frédéric Buclin
LpSolit: review+
Details | Diff | Splinter Review

Description Teemu Mannermaa (:wicked) 2011-08-18 09:52:24 PDT
I believe we should re-license Bugzilla under MPL 2 after it's finalized. Among other things this would simplify our license headers (to about 3-5 lines) and get rid of the pretty much useless Initial Developer and Contributor sections. (Or at least we don't have to update them, we can still include them if people want their name stamped in the sources.)

Additionally, we wouldn't have to fix bug 370214, which doesn't seem to be worked on anyway. I'll volunteer for doing the technical changes to our files if we decide to go this route. :)

For more details, including link to the latest RC of the license itself, please see the wiki page in URL field.
Comment 1 Frédéric Buclin 2011-08-18 10:08:14 PDT
"Should an upgrade be agreed, any project which is MPL-only (such as Bugzilla) would need to add the Exhibit-B GPL-incompatibility language to their licence header."

What does it mean? :)
Comment 2 Frédéric Buclin 2011-08-18 10:13:13 PDT
Ah, I just found what it is:

"This Source Code Form is Incompatible Software as defined by the License."
Comment 3 Frédéric Buclin 2011-08-18 10:26:25 PDT
For the record, the 3 lines of the MPL2 licence is:

# This Source Code Form is subject to the terms of the Mozilla Public
# License version 2.0 (the "License"). You can obtain a copy of the
# License at http://mozilla.org/MPL/2.0/.

Personally, I'm fine moving our code from MPL1.1 to MPL2. And I don't think we will need the Exhibit-B text anywhere. Now the question is: do we want to keep the Contributors section? And if we don't, are we forced to list a contributor if he asks to be listed anyway? If the answer to this last question is "yes, you have to list the contributor on explicit demands", then we shouldn't remove this section.
Comment 4 Gervase Markham [:gerv] 2011-08-18 10:39:29 PDT
(In reply to Frédéric Buclin from comment #3)
> For the record, the 3 lines of the MPL2 licence is:
> 
> # This Source Code Form is subject to the terms of the Mozilla Public
> # License version 2.0 (the "License"). You can obtain a copy of the
> # License at http://mozilla.org/MPL/2.0/.
> 
> Personally, I'm fine moving our code from MPL1.1 to MPL2. And I don't think
> we will need the Exhibit-B text anywhere. 

The license does not allow you to unilaterally update the licence to MPL 2 without adding that text, because Bugzilla is not dual or tri-licensed. If you want to switch to straight MPL 2, that's a relicensing and you need to ask all contributors to Bugzilla (ever) for their permission. :-|

> Now the question is: do we want to
> keep the Contributors section? 

_That_ decision is entirely the Bugzilla team's.

> And if we don't, are we forced to list a
> contributor if he asks to be listed anyway? 

The MPL 2 requires you to preserve accurate notices of copyright interest. If a developer makes a copyrightable (non-trivial) contribution, and wants to add the text e.g. "portions copyright (C) 2011 Fred Bloggs", then you either accept the contribution with the comment (and do not remove it in the future) or you reject the contribution.

So I guess the answer to your question is yes. But this requirement is not uncommon in open source licences. You can't mess with people's copyright statements. However, it's pretty rare that people ask.

> If the answer to this last
> question is "yes, you have to list the contributor on explicit demands",
> then we shouldn't remove this section.

That doesn't necessarily follow. The Contributor section is not necessarily a list of copyright holders, and it doesn't include a copyright statement. So if anyone wanted to add a notice, they'd do it in a different way to the Contributor section anyway.

I would base your decision on whether to keep it or to remove it solely on whether the people involved will feel aggrieved or not.

Gerv
Comment 5 Frédéric Buclin 2011-08-18 10:52:49 PDT
(In reply to Gervase Markham [:gerv] from comment #4)
> The license does not allow you to unilaterally update the licence to MPL 2
> without adding that text, because Bugzilla is not dual or tri-licensed.

So what you are saying is that Bugzilla is not MPL2 compliant, but we use this licence anyway? Maybe it's just me who don't understand the meaning of the Exhibit-B text correctly. What we would have is:

# This Source Code Form is subject to the terms of the Mozilla Public
# License version 2.0 (the "License"). You can obtain a copy of the
# License at http://mozilla.org/MPL/2.0/.
#
# This Source Code Form is Incompatible Software as defined by the License.

*Incompatible*?!


> The MPL 2 requires you to preserve accurate notices of copyright interest.

I didn't mean copyright. We rejected code due to this in the past. But I mean a lambda contributor who simply wants his name listed. If we cannot refuse that, then we should keep the Contributors section instead of only adding those who dare to ask.
Comment 6 Byron Jones ‹:glob› 2011-08-18 21:32:10 PDT
(In reply to Frédéric Buclin from comment #5)
> # This Source Code Form is subject to the terms of the Mozilla Public
> # License version 2.0 (the "License"). You can obtain a copy of the
> # License at http://mozilla.org/MPL/2.0/.
> #
> # This Source Code Form is Incompatible Software as defined by the License.

i agree this is confusing.. it could easily be interpreted as:

# This is MPL licensed software.
#
# Actually, not really.

gerv, is it possible to soften the term "incompatible software", perhaps to "partially compatible"?

# This Source Code Form is subject to the terms of the Mozilla Public
# License version 2.0 (the "License"). You can obtain a copy of the
# License at http://mozilla.org/MPL/2.0/.
# This Source Code Form is Partially Compatible as defined by the License.
Comment 7 Gervase Markham [:gerv] 2011-08-19 01:48:09 PDT
<b>Frederic</b>: I am not saying Bugzilla is "not MPL 2 compliant". I am saying that:

- MPL 1.1 allows you to change the licence to any later version of the MPL.

- MPL 2 contains special language to make it forwardly compatible with the GPL.

- Anyone creating _new_ code using MPL 2 has a choice of making their code 
  GPL-compatible or not, with compatible being the default.

- If you choose to make your _new_ code not compatible with the GPL, you have to add the "Incompatible Software" sentence.

- MPL 2 says that if you are upgrading _existing_ software from MPL 1.1, you 
  have to add the "I am incompatible with the GPL" notice.

- There is an exception to that if the code is already dual or tri-licensed. 
  But Bugzilla does not qualify for the exception.

- So, Bugzilla must add the "(still) incompatible with the GPL" notice if it upgrades to MPL 2 (unless it asks the permission of all the copyright holders).

So "Incompatible" means "incompatible with the LGPL and GPL". 

glob: the only way to change the boilerplate is to change what the licence says. We are currently reviewing the final draft of the licence, so it's not impossible that the text could be changed. However, we have considered this problem at reasonable length, and could not come up with a term that was any clearer. I don't think "Partially Compatible" is any better than "Incompatible Software". The key point is: "as defined by the License" - if you want to know what this means, go read the License.

Gerv
Comment 8 Gervase Markham [:gerv] 2011-08-19 01:53:48 PDT
(I've just sent Luis Villa, the license drafter, another suggestion for how to make this clearer.)

Gerv
Comment 9 Byron Jones ‹:glob› 2011-08-19 02:49:27 PDT
thanks for the responses gerv,

> So "Incompatible" means "incompatible with the LGPL and GPL"

would it be clearer if we incorporated that phrase into the boilerplate...

# This Source Code Form is subject to the terms of the Mozilla Public
# License version 2.0 (the "License"). You can obtain a copy of the
# License at http://mozilla.org/MPL/2.0/.
#
# This Source Code Form is incompatible with the LGPL and GPL (MPL-2.0/1.5b)
Comment 10 Gervase Markham [:gerv] 2011-08-19 03:05:20 PDT
Except that it's not the LGPL and GPL, it's the LGPL, GPL and AGPL - and we specifically didn't put that in the boilerplate because we want to retain the ability to change the list later. If the version number of the MPL was specified in the boilerplate, then it would be confusing as to what happened when MPL 3 was used.

We will look at this again, but in the mean time, can we discuss whether this is a good idea or not, independent of the exact wording of the boilerplate? :-)

Gerv
Comment 11 Byron Jones ‹:glob› 2011-08-19 03:12:11 PDT
(In reply to Gervase Markham [:gerv] from comment #10)
> We will look at this again, but in the mean time, can we discuss whether
> this is a good idea or not, independent of the exact wording of the
> boilerplate? :-)

independent of the exact boilerplate wording, i think this is a most excellent idea :)
Comment 12 Frédéric Buclin 2011-08-19 04:54:33 PDT
(In reply to Gervase Markham [:gerv] from comment #10)
> We will look at this again, but in the mean time, can we discuss whether
> this is a good idea or not, independent of the exact wording of the
> boilerplate? :-)

I think it was important to clarify what you want us to accept. I agree with glob's comment 6 and comment 9 that the text is unclear. It's unclear for the author of the code, and it's also unclear for the developer who wants to reuse our code. glob's wording in comment 9 would make things *much* clearer. Maybe the boilerplate should mention

# This Source Code Form is Incompatible with Secondary Licenses
# as defined by the License.

This way, we don't explicitly list GPL, etc..., but we very clearly mention why our code is not fully compatible.
Comment 13 Gervase Markham [:gerv] 2011-08-19 04:58:29 PDT
That's also good wording, which I will suggest. But fundamentally, you have to use the boilerplate defined in the license, otherwise you are not allowed to distribute the code under MPL 2. So if you think the unclear wording alone means we should stick with 1.1, say so :-) Otherwise, let's get consensus on moving and do it.

Gerv
Comment 14 Frédéric Buclin 2011-08-19 05:08:28 PDT
I commented on http://mpl.mozilla.org/participate/comment/, see the Exhibit-B section.
Comment 15 Max Kanat-Alexander 2011-08-25 15:05:46 PDT
(In reply to Gervase Markham [:gerv] from comment #7)
> - Anyone creating _new_ code using MPL 2 has a choice of making their code 
>   GPL-compatible or not, with compatible being the default.

  Did that get added since the alphas? The original versions of MPL2 that I read simply gave us free GPL/LGPL compatibility, which I *very* much would have liked. It was the primary reason I was looking forward to upgrading, besides the smaller license headers and simpler compliance.

> - So, Bugzilla must add the "(still) incompatible with the GPL" notice if it
> upgrades to MPL 2 (unless it asks the permission of all the copyright
> holders).

  Which would be effectively impossible.
Comment 16 Max Kanat-Alexander 2011-08-25 15:08:18 PDT
(In reply to Frédéric Buclin from comment #3)
> Do we want to keep the Contributors section?

  So, the advantage of the contributors section is that new contributors feel pretty cool when they get added to it.

  The disadvantage is that it's never up-to-date, sometimes people try to email the folks listed in that file, and that it adds more comment lines to the top of the file.

  That sounds like more disadvantages than advantages.

  Now that we have bzr and the --authors system for tracking authorship in the actual commits, if we could be MPL compliant by simply saying "the list of contributors is the list of authors in the commit list" then I would be fine with that, and we wouldn't have to maintain a separate Contributors file or list.
Comment 17 Frédéric Buclin 2011-08-25 15:11:50 PDT
(In reply to Max Kanat-Alexander from comment #16)
> if we could be MPL compliant by simply saying "the list
> of contributors is the list of authors in the commit list" then I would be
> fine with that

I don't think there is a need for this comment at all. We could put it on wiki if we want to.
Comment 18 Gervase Markham [:gerv] 2011-08-26 01:52:28 PDT
Just to update you: the project-wide policy has now changed based on feedback, and so the rest of the project has decided _not_ to keep the Contributors lists. And that seems to be the sense here too

(In reply to Max Kanat-Alexander from comment #15)
>   Did that get added since the alphas? The original versions of MPL2 that I
> read simply gave us free GPL/LGPL compatibility, which I *very* much would
> have liked. It was the primary reason I was looking forward to upgrading,
> besides the smaller license headers and simpler compliance.

Having just re-checked all the alphas, I think you may have misread them. The ability to add GPL compatibility is only ever available to the Initial Contributor, the guy who wrote the code first.

It was never really on the cards to have GPL compatibility on upgrade by default, although I argued for it, because the feeling is that some people picked the MPL precisely because it was GPL-incompatible, and we don't want to force compatibility on those people.

> > - So, Bugzilla must add the "(still) incompatible with the GPL" notice if it
> > upgrades to MPL 2 (unless it asks the permission of all the copyright
> > holders).
> 
>   Which would be effectively impossible.

Indeed. The only way to get GPL compatibility for Bugzilla is to ask all the copyright holders. However, I'm not sure that's a bit issue - we don't want to use any GPLed code in Bugzilla, and no-one wants to copying code from Bugzilla into existing GPLed apps, as far as I know.

Gerv
Comment 19 Teemu Mannermaa (:wicked) 2011-08-26 06:25:14 PDT
(In reply to Max Kanat-Alexander from comment #16)
> the actual commits, if we could be MPL compliant by simply saying "the list
> of contributors is the list of authors in the commit list" then I would be

We don't have to maintain one when we switch MPL 2. It doesn't require one anymore so the choice to use one (and where) is fully up to us to decide. Personally, I don't list myself in such lists so they are irrelevant to me. It's enough that loggerhead refers to me by name and it's content is Googleable. :)

If you think getting credits for contributions would bring us more contributors, then why not maintain such credit page on our wiki or even our website (to make it more "permanent")?
Comment 20 Max Kanat-Alexander 2011-08-29 14:19:22 PDT
(In reply to Gervase Markham [:gerv] from comment #18)
> However, I'm not sure that's a bit issue - we don't want
> to use any GPLed code in Bugzilla, and no-one wants to copying code from
> Bugzilla into existing GPLed apps, as far as I know.

  There have been numerous times when I have been prevented from bundling a library because it was GPL'ed, actually. But I don't think the MPL2's particular form of GPL-compatibility would help us there anyway.
Comment 21 Max Kanat-Alexander 2011-08-29 14:22:32 PDT
(In reply to Teemu Mannermaa (:wicked) from comment #19)
> Why not maintain such credit page on our wiki or even our
> website (to make it more "permanent")?

  Sure, that's a great idea. Do you want to add that to your list of possible infra tasks? :-) We could rank it by number of commits or total diffstat size.
Comment 22 Frédéric Buclin 2012-01-03 10:47:50 PST
MPL 2.0 has been released today. Its final form is available here:

http://www.mozilla.org/MPL/2.0/index.txt

This means we can now move to MPL 2.0. For the record, the header must be exactly this:

# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#
# This Source Code Form is "Incompatible With Secondary Licenses", as
# defined by the Mozilla Public License, v. 2.0.

Also, we won't keep the Contributors list in the files themselves. wicked, are you still interested to work on this?
Comment 23 Dave Miller [:justdave] (justdave@bugzilla.org) 2012-01-03 22:22:37 PST
+1
Comment 24 Frédéric Buclin 2012-01-06 17:19:37 PST
Created attachment 586621 [details] [diff] [review]
patch, v1

wicked: I didn't plan to steal this bug, but I wondered how we could do it automatically, and I finally wrote a script which did a pretty good job. So here it is. I will attach the script I wrote so that you can see how I did it.

If there are some files which need to be edited manually, I suggest we do it separately, after this huge patch is checked in.
Comment 25 Frédéric Buclin 2012-01-06 17:23:38 PST
Created attachment 586624 [details]
Perl script to convert MPL 1.1 to MPL 2.0

And here is the script I wrote. You must run it from the bugzilla/ root directory, and the directory must have been created with bzr.
Comment 26 Max Kanat-Alexander 2012-01-06 23:58:30 PST
Comment on attachment 586621 [details] [diff] [review]
patch, v1

Review of attachment 586621 [details] [diff] [review]:
-----------------------------------------------------------------

Awesome. Probably should exclude the README files from having the license.
Comment 27 Gervase Markham [:gerv] 2012-01-07 03:09:46 PST
Er, I already have (fairly complex) scripts for relicensing files. If yours works for you, great - but if it's still not there, rather than develop it further, why not use mine? :-)

Gerv
Comment 28 Frédéric Buclin 2012-01-07 04:39:40 PST
(In reply to Gervase Markham [:gerv] from comment #27)
> Er, I already have (fairly complex) scripts for relicensing files. If yours
> works for you, great - but if it's still not there, rather than develop it
> further, why not use mine? :-)

From what I see, it handles all Bugzilla files correctly, so we don't need a more complex script. Also, I doubt your script is aware of files being in the source code versus files generated by checksetup.pl or collectstats.pl. ;)
Comment 29 Frédéric Buclin 2012-01-07 04:56:21 PST
Created attachment 586659 [details] [diff] [review]
patch, v1.1

All README files have been excluded. No other changes.
Comment 30 Byron Jones ‹:glob› 2012-01-09 00:01:19 PST
Comment on attachment 586659 [details] [diff] [review]
patch, v1.1

>=== modified file 'docs/en/xml/patches.xml'
>--- docs/en/xml/patches.xml	2011-10-24 10:35:48 +0000
>+++ docs/en/xml/patches.xml	2012-01-07 12:42:15 +0000
>@@ -1,3 +1,10 @@
>+<!-- This Source Code Form is subject to the terms of the Mozilla Public
>+     License, v. 2.0. If a copy of the MPL was not distributed with this
>+     file, You can obtain one at http://mozilla.org/MPL/2.0/.
>+
>+     This Source Code Form is "Incompatible With Secondary Licenses", as
>+     defined by the Mozilla Public License, v. 2.0.
>+-->
> <?xml version="1.0"?>
> <!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN"
>                       "http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd" [

it isn't legal to put a comment before the xml declaration.

http://stackoverflow.com/a/1196485/953
Comment 31 Gervase Markham [:gerv] 2012-01-09 03:59:15 PST
Created attachment 586950 [details] [diff] [review]
Alternative patch v.1

Here's an alternative patch, produced by my script. It relicenses all the files using Bugzilla comment formatting standards, including fixing some dodgy comment block indentation in the CSS files. It also adds license blocks to appropriate files which lack it. It also makes sure to add the license block in a legal place.

The automated process leaves a few waifs and strays, but they could be done manually. First it would be good to see if this looks roughly right...

Gerv
Comment 32 Byron Jones ‹:glob› 2012-01-09 05:25:53 PST
(In reply to Gervase Markham [:gerv] from comment #31)
> Created attachment 586950 [details] [diff] [review]
> Alternative patch v.1
> 
> Here's an alternative patch, produced by my script.

i really like the removal of the emacs spam which lpsolit's patch does.  

your patch is updating xml documents correctly, however there's a few files which you're not updating but should be, and i'm not sure where we stand with relicensing of contrib/ stuff.

gerv is not updating contrib/sendbugmail.pl
gerv is not updating docs/en/rel_notes.txt
gerv is not updating docs/en/xml/Bugzilla-Guide.xml
gerv is not updating docs/en/xml/about.xml
gerv is not updating docs/en/xml/gfdl.xml
gerv is not updating js/change-columns.js
gerv is not updating js/flag.js
gerv is not updating js/util.js
gerv is not updating skins/standard/attachment.css
gerv is not updating skins/standard/index.css
gerv is not updating template/en/default/account/password/set-forgotten-password.html.tmpl
gerv is not updating template/en/default/extensions/license.txt.tmpl
lpsolit is not updating Bugzilla/BugUrl/ReviewBoard.pm
lpsolit is not updating contrib/bugzilla-queue.rhel
lpsolit is not updating contrib/bugzilla-queue.suse
lpsolit is not updating contrib/bugzilla-submit/bugzilla-submit
lpsolit is not updating contrib/bugzilla-submit/bugzilla-submit.xml
lpsolit is not updating contrib/cmdline/bugcount
lpsolit is not updating contrib/cmdline/bugids
lpsolit is not updating contrib/cmdline/buglist
lpsolit is not updating contrib/cmdline/bugs
lpsolit is not updating contrib/cmdline/bugslink
lpsolit is not updating contrib/cmdline/makequery
lpsolit is not updating contrib/cmdline/query.conf
lpsolit is not updating contrib/jb2bz.py
lpsolit is not updating contrib/new-yui.sh
lpsolit is not updating docs/bugzilla.ent.tmpl

i'm not sure which is correct :|

lpsolit: your patch is stripping execute bits:
> === modified file 'checksetup.pl' (properties changed: +x to -x)
Comment 33 Gervase Markham [:gerv] 2012-01-09 07:34:54 PST
Ah. My script is specifically designed to preserve any other existing comments, such as modelines. If we don't like them, we should remove them in a separate change.

As for contrib/, I think we should relicense anything which is currently tri-licensed, but not add a license to anything which doesn't have one (unless we know who the author is - and this should happen manually).

There are a few files my script doesn't cope with, as you list; I'm happy to do those manually to complete the patch, if you guys decide to go with my patch. If you go with lpsolit's script, that's fine too - I just don't want to do unnecessary work :-)

Gerv
Comment 34 Frédéric Buclin 2012-01-09 10:40:47 PST
Created attachment 587042 [details] [diff] [review]
patch, v1.2

I fixed everything glob said, except docs/bugzilla.ent.tmpl because it's used by other XML files and I won't want them to interact badly with it, just in case.
Comment 35 Frédéric Buclin 2012-01-09 10:42:04 PST
Created attachment 587044 [details]
Perl script to convert MPL 1.1 to MPL 2.0, v2

And the updated script I used, if someone is interested in it.
Comment 36 Byron Jones ‹:glob› 2012-01-11 07:01:28 PST
Comment on attachment 587042 [details] [diff] [review]
patch, v1.2

the following files shouldn't get a license:

  docs/en/rel_notes.txt
  contrib/bugzilla-submit/bugdata.txt

the following crontrib files don't already have licenses, and should be left untouched as per comment 33:

  contrib/cmdline/bugs
  contrib/cmdline/bugcount
  contrib/cmdline/bugslink
  contrib/bugzilla-queue.suse
  contrib/bugzilla-queue.rhel
  contrib/bugzilla-submit/bugzilla-submit
  contrib/bugzilla-submit/bugzilla-submit.xml
  contrib/jb2bz.py
  contrib/new-yui.sh
Comment 37 Frédéric Buclin 2012-01-11 08:30:56 PST
(In reply to Byron Jones ‹:glob› from comment #36)
> the following files shouldn't get a license:
> 
>   docs/en/rel_notes.txt

Why not? We have one for the HTML version of the release notes. But for consistency with other README files, I will exclude it from the patch.


> the following crontrib files don't already have licenses, and should be left
> untouched as per comment 33:
> 
>   contrib/cmdline/bugs
>   contrib/cmdline/bugcount
>   contrib/cmdline/bugslink

I disagree. They have all been provided as part of the cmdline bug 6419, and the author explicitly gave us the rights to use the MPL license, see bug 4619 comment 37.


>   contrib/bugzilla-queue.suse
>   contrib/bugzilla-queue.rhel

bugzilla-queue.rhel has been written by mkanat. I really doubt he wouldn't give us rights to relicense his script under MPL 2.0. I will ask him on IRC, but meanwhile, I will leave it in the patch. Same for bugzilla-queue.suse; I will ask Kent Rogers (CC'ed).


>   contrib/bugzilla-submit/bugzilla-submit
>   contrib/bugzilla-submit/bugzilla-submit.xml

Same for these scripts. I doubt kiko would object (CC'ed). I will ask him. Leaving it in the patch for now.


>   contrib/jb2bz.py

Author CC'ed.


>   contrib/new-yui.sh

The author is mkanat. Leaving it in the patch for now.
Comment 38 Frédéric Buclin 2012-01-11 08:42:25 PST
Created attachment 587715 [details] [diff] [review]
patch, v1.3

Asking kiko and mkanat as some of their scripts in contrib/ have been licensed without their explicit approval. I left both bugzilla-queue.suse and jb2bz.py alone till Kent Rogers and Tom Emerson give us their explicit approval.
Comment 39 Kent Rogers [:mrbball] 2012-01-11 08:54:58 PST
(In reply to Frédéric Buclin from comment #37)
> 
> >   contrib/bugzilla-queue.suse
> >   contrib/bugzilla-queue.rhel
> 
> bugzilla-queue.rhel has been written by mkanat. I really doubt he wouldn't
> give us rights to relicense his script under MPL 2.0. I will ask him on IRC,
> but meanwhile, I will leave it in the patch. Same for bugzilla-queue.suse; I
> will ask Kent Rogers (CC'ed).
> 
I have no problem with contrib/bugzilla-queue.suse being licensed under MPL 2.0.
Comment 40 Frédéric Buclin 2012-01-11 08:58:08 PST
Created attachment 587719 [details] [diff] [review]
patch, v1.4

Adding bugzilla-queue.suse back as we have Kent's approval. This leaves us with jb2bz.py being the single one excluded.
Comment 41 Byron Jones ‹:glob› 2012-01-11 09:36:08 PST
(In reply to Frédéric Buclin from comment #37)
> (In reply to Byron Jones ‹:glob› from comment #36)
> > the following files shouldn't get a license:
> > 
> >   docs/en/rel_notes.txt
> 
> Why not? We have one for the HTML version of the release notes. But for
> consistency with other README files, I will exclude it from the patch.

html is _source_, text files aren't :)

> >   contrib/cmdline/bugs
> >   contrib/cmdline/bugcount
> >   contrib/cmdline/bugslink
> 
> I disagree. They have all been provided as part of the cmdline bug 6419, and
> the author explicitly gave us the rights to use the MPL license, see bug
> 6419 comment 37.

those files got significantly reworked in bug 278829 by a different author.

comment 1 on that bug kind of implies they are mpl:

> As you can see, all scripts except makequery are pretty trivial.  (Btw,
> four-line shell scripts don't need a full MPL license header, do they?)

i don't know if that's enough to take as a license for those files.  gerv?
Comment 42 Frédéric Buclin 2012-01-11 09:41:04 PST
(In reply to Byron Jones ‹:glob› from comment #41)
> those files got significantly reworked in bug 278829 by a different author.

No, it's the same author: Andreas Franke.
Comment 43 Gervase Markham [:gerv] 2012-01-11 09:49:49 PST
(In reply to Byron Jones ‹:glob› from comment #41)
> i don't know if that's enough to take as a license for those files.  gerv?

I'd say it's good enough.

However, don't take "source" too literally. We should be making clear the licensing status of anything we distribute which is copyrightable.

Gerv
Comment 44 Byron Jones ‹:glob› 2012-01-11 10:17:20 PST
(In reply to Frédéric Buclin from comment #42)
> (In reply to Byron Jones ‹:glob› from comment #41)
> > those files got significantly reworked in bug 278829 by a different author.
> 
> No, it's the same author: Andreas Franke.

my bad, i was looking at the reporter on the old bug.
Comment 45 Christian Reis 2012-01-11 10:18:31 PST
Comment on attachment 587715 [details] [diff] [review]
patch, v1.3

Sure thing -- as Frédéric predicted I'm fine with this.
Comment 46 Frédéric Buclin 2012-01-11 14:34:11 PST
mkanat agrees that we use the MPL 2.0 license for his scripts, so we are good to go.

(23:21:10) <LpSolit> mkanat: do you agree to let us use the MPL 2 license for two scripts you wrote in contrib/? They have no license and gerv said I'm not allowed to license them without your explicit approval
(23:21:20) <mkanat> LpSolit: Yes.
(23:21:32) <mkanat> LpSolit: They were intended to be MPL.
(23:21:34) <LpSolit> ok, thanks :)
Comment 47 Frédéric Buclin 2012-01-11 14:37:02 PST
Comment on attachment 587719 [details] [diff] [review]
patch, v1.4

Carrying forward kiko's r+.
Comment 48 Frédéric Buclin 2012-01-11 14:47:24 PST
Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/trunk/             
modified Bugzilla.pm
modified admin.cgi                                                                       
modified attachment.cgi
modified buglist.cgi                                                                     
modified chart.cgi
modified checksetup.pl
modified colchange.cgi
modified collectstats.pl                                                                 
modified config.cgi
modified createaccount.cgi
modified describecomponents.cgi
modified describekeywords.cgi
modified duplicates.cgi
modified editclassifications.cgi
modified editcomponents.cgi
modified editfields.cgi
modified editflagtypes.cgi
modified editgroups.cgi                                                                  
modified editkeywords.cgi
modified editmilestones.cgi
modified editparams.cgi
modified editproducts.cgi
modified editsettings.cgi
modified editusers.cgi
modified editvalues.cgi
modified editversions.cgi
modified editwhines.cgi
modified editworkflow.cgi
modified email_in.pl
modified enter_bug.cgi
modified importxml.pl
modified index.cgi
modified install-module.pl
modified jobqueue.pl
modified jsonrpc.cgi
modified migrate.pl
modified mod_perl.pl
modified page.cgi
modified post_bug.cgi
modified process_bug.cgi
modified query.cgi
modified quips.cgi
modified relogin.cgi
modified report.cgi
modified reports.cgi
modified request.cgi
modified runtests.pl
modified sanitycheck.cgi
modified sanitycheck.pl
modified search_plugin.cgi
modified show_activity.cgi
modified show_bug.cgi
modified showdependencygraph.cgi
modified showdependencytree.cgi
modified summarize_time.cgi
modified testagent.cgi
modified testserver.pl
modified token.cgi
modified userprefs.cgi
modified votes.cgi
modified whine.pl
modified whineatnews.pl
modified xmlrpc.cgi
modified Bugzilla/Attachment.pm
modified Bugzilla/Auth.pm
modified Bugzilla/Bug.pm
modified Bugzilla/BugMail.pm
modified Bugzilla/BugUrl.pm
modified Bugzilla/CGI.pm
modified Bugzilla/Chart.pm
modified Bugzilla/Classification.pm
modified Bugzilla/Comment.pm
modified Bugzilla/Component.pm
modified Bugzilla/Config.pm
modified Bugzilla/Constants.pm
modified Bugzilla/DB.pm
modified Bugzilla/Error.pm
modified Bugzilla/Extension.pm
modified Bugzilla/Field.pm
modified Bugzilla/Flag.pm
modified Bugzilla/FlagType.pm
modified Bugzilla/Group.pm
modified Bugzilla/Hook.pm
modified Bugzilla/Install.pm
modified Bugzilla/JobQueue.pm
modified Bugzilla/Keyword.pm
modified Bugzilla/Mailer.pm
modified Bugzilla/Migrate.pm
modified Bugzilla/Milestone.pm
modified Bugzilla/Object.pm
modified Bugzilla/Product.pm
modified Bugzilla/RNG.pm
modified Bugzilla/Search.pm
modified Bugzilla/Series.pm
modified Bugzilla/Status.pm
modified Bugzilla/Template.pm
modified Bugzilla/Token.pm
modified Bugzilla/Update.pm
modified Bugzilla/User.pm
modified Bugzilla/UserAgent.pm
modified Bugzilla/Util.pm
modified Bugzilla/Version.pm
modified Bugzilla/WebService.pm
modified Bugzilla/Whine.pm
modified Bugzilla/Attachment/PatchReader.pm
modified Bugzilla/Auth/Login.pm
modified Bugzilla/Auth/Verify.pm
modified Bugzilla/Auth/Login/CGI.pm
modified Bugzilla/Auth/Login/Cookie.pm
modified Bugzilla/Auth/Login/Env.pm
modified Bugzilla/Auth/Login/Stack.pm
modified Bugzilla/Auth/Persist/Cookie.pm
modified Bugzilla/Auth/Verify/DB.pm
modified Bugzilla/Auth/Verify/LDAP.pm
modified Bugzilla/Auth/Verify/RADIUS.pm
modified Bugzilla/Auth/Verify/Stack.pm
modified Bugzilla/BugUrl/Bugzilla.pm
modified Bugzilla/BugUrl/Debian.pm
modified Bugzilla/BugUrl/Google.pm
modified Bugzilla/BugUrl/JIRA.pm
modified Bugzilla/BugUrl/Launchpad.pm
modified Bugzilla/BugUrl/MantisBT.pm
modified Bugzilla/BugUrl/ReviewBoard.pm
modified Bugzilla/BugUrl/SourceForge.pm
modified Bugzilla/BugUrl/Trac.pm
modified Bugzilla/BugUrl/Bugzilla/Local.pm
modified Bugzilla/Config/Admin.pm
modified Bugzilla/Config/Advanced.pm
modified Bugzilla/Config/Attachment.pm
modified Bugzilla/Config/Auth.pm
modified Bugzilla/Config/BugChange.pm
modified Bugzilla/Config/BugFields.pm
modified Bugzilla/Config/Common.pm
modified Bugzilla/Config/Core.pm
modified Bugzilla/Config/DependencyGraph.pm
modified Bugzilla/Config/General.pm
modified Bugzilla/Config/GroupSecurity.pm
modified Bugzilla/Config/LDAP.pm
modified Bugzilla/Config/MTA.pm                                                          
modified Bugzilla/Config/PatchViewer.pm
modified Bugzilla/Config/Query.pm
modified Bugzilla/Config/RADIUS.pm
modified Bugzilla/Config/ShadowDB.pm
modified Bugzilla/Config/UserMatch.pm
modified Bugzilla/DB/Mysql.pm
modified Bugzilla/DB/Oracle.pm
modified Bugzilla/DB/Pg.pm
modified Bugzilla/DB/Schema.pm
modified Bugzilla/DB/Sqlite.pm
modified Bugzilla/DB/Schema/Mysql.pm
modified Bugzilla/DB/Schema/Oracle.pm
modified Bugzilla/DB/Schema/Pg.pm
modified Bugzilla/DB/Schema/Sqlite.pm
modified Bugzilla/Field/Choice.pm
modified Bugzilla/Field/ChoiceInterface.pm
modified Bugzilla/Install/CPAN.pm
modified Bugzilla/Install/DB.pm
modified Bugzilla/Install/Filesystem.pm
modified Bugzilla/Install/Localconfig.pm
modified Bugzilla/Install/Requirements.pm
modified Bugzilla/Install/Util.pm
modified Bugzilla/Job/Mailer.pm
modified Bugzilla/JobQueue/Runner.pm
modified Bugzilla/Migrate/Gnats.pm
modified Bugzilla/Search/Clause.pm
modified Bugzilla/Search/Condition.pm
modified Bugzilla/Search/Quicksearch.pm
modified Bugzilla/Search/Recent.pm
modified Bugzilla/Search/Saved.pm
modified Bugzilla/Template/Context.pm
modified Bugzilla/Template/Plugin/Bugzilla.pm
modified Bugzilla/Template/Plugin/Hook.pm
modified Bugzilla/User/Setting.pm
modified Bugzilla/User/Setting/Lang.pm
modified Bugzilla/User/Setting/Skin.pm
modified Bugzilla/User/Setting/Timezone.pm
modified Bugzilla/WebService/Bug.pm
modified Bugzilla/WebService/Bugzilla.pm
modified Bugzilla/WebService/Constants.pm
modified Bugzilla/WebService/Group.pm
modified Bugzilla/WebService/Product.pm
modified Bugzilla/WebService/Server.pm
modified Bugzilla/WebService/User.pm
modified Bugzilla/WebService/Util.pm
modified Bugzilla/WebService/Server/JSONRPC.pm
modified Bugzilla/WebService/Server/XMLRPC.pm
modified Bugzilla/Whine/Query.pm
modified Bugzilla/Whine/Schedule.pm
modified contrib/bugzilla-queue.rhel
modified contrib/bugzilla-queue.suse
modified contrib/bz_webservice_demo.pl
modified contrib/bzdbcopy.pl
modified contrib/console.pl
modified contrib/convert-workflow.pl
modified contrib/cvs-update.pl
modified contrib/extension-convert.pl
modified contrib/fixperms.pl
modified contrib/merge-users.pl
modified contrib/mysqld-watcher.pl
modified contrib/new-yui.sh
modified contrib/recode.pl
modified contrib/sendbugmail.pl
modified contrib/sendunsentbugmail.pl
modified contrib/syncLDAP.pl
modified contrib/bugzilla-submit/bugzilla-submit
modified contrib/bugzilla-submit/bugzilla-submit.xml
modified contrib/cmdline/bugcount
modified contrib/cmdline/bugids
modified contrib/cmdline/buglist
modified contrib/cmdline/bugs
modified contrib/cmdline/bugslink
modified contrib/cmdline/makequery
modified contrib/cmdline/query.conf
modified docs/makedocs.pl
modified docs/style.css
modified docs/en/images/bzLifecycle.xml
modified docs/en/xml/Bugzilla-Guide.xml
modified docs/en/xml/about.xml
modified docs/en/xml/administration.xml
modified docs/en/xml/conventions.xml
modified docs/en/xml/customization.xml
modified docs/en/xml/gfdl.xml
modified docs/en/xml/glossary.xml
modified docs/en/xml/index.xml
modified docs/en/xml/installation.xml
modified docs/en/xml/modules.xml
modified docs/en/xml/patches.xml
modified docs/en/xml/security.xml
modified docs/en/xml/troubleshooting.xml
modified docs/en/xml/using.xml
modified docs/lib/Pod/Simple/HTML/Bugzilla.pm
modified docs/lib/Pod/Simple/HTMLBatch/Bugzilla.pm
modified docs/xsl/bugzilla-docs.xsl
modified docs/xsl/chunks.xsl
modified docs/xsl/nochunks.xsl
modified docs/xsl/pdf.xsl
modified extensions/create.pl
modified extensions/BmpConvert/Config.pm
modified extensions/BmpConvert/Extension.pm
modified extensions/Example/Config.pm
modified extensions/Example/Extension.pm
modified extensions/Example/lib/Config.pm
modified extensions/Example/lib/Util.pm
modified extensions/Example/lib/WebService.pm
modified extensions/Example/lib/Auth/Login.pm
modified extensions/Example/lib/Auth/Verify.pm
modified extensions/Example/template/en/default/account/prefs/my_tab.html.tmpl
modified extensions/Example/template/en/default/admin/params/example.html.tmpl
modified extensions/Example/template/en/default/hook/account/prefs/prefs-tabs.html.tmpl
modified extensions/Example/template/en/default/hook/admin/params/editparams-current_panel.html.tmpl
modified extensions/Example/template/en/default/hook/admin/sanitycheck/messages-statuses.html.tmpl
modified extensions/Example/template/en/default/hook/global/setting-descs-settings.none.tmpl
modified extensions/Example/template/en/default/hook/global/user-error-errors.html.tmpl
modified extensions/Example/template/en/default/pages/example.html.tmpl
modified extensions/Example/template/en/default/setup/strings.txt.pl
modified extensions/OldBugMove/Config.pm
modified extensions/OldBugMove/Extension.pm
modified extensions/OldBugMove/lib/Params.pm
modified extensions/OldBugMove/template/en/default/admin/params/oldbugmove.html.tmpl
modified extensions/OldBugMove/template/en/default/hook/bug/edit-after_comment_textarea.html.tmpl
modified extensions/OldBugMove/template/en/default/hook/bug/format_comment-type.txt.tmpl
modified extensions/OldBugMove/template/en/default/hook/global/user-error-auth_failure_action.html.tmpl
modified extensions/OldBugMove/template/en/default/hook/global/user-error-errors.html.tmpl
modified extensions/OldBugMove/template/en/default/hook/list/edit-multiple-after_groups.html.tmpl
modified extensions/Voting/Extension.pm
modified extensions/Voting/template/en/default/hook/account/prefs/email-relationships.html.tmpl
modified extensions/Voting/template/en/default/hook/admin/products/edit-common-rows.html.tmpl
modified extensions/Voting/template/en/default/hook/admin/products/updated-changes.html.tmpl
modified extensions/Voting/template/en/default/hook/admin/sanitycheck/messages-statuses.html.tmpl
modified extensions/Voting/template/en/default/hook/admin/users/confirm-delete-warn_safe.html.tmpl
modified extensions/Voting/template/en/default/hook/bug/edit-after_importance.html.tmpl
modified extensions/Voting/template/en/default/hook/bug/format_comment-type.txt.tmpl
modified extensions/Voting/template/en/default/hook/bug/show-header-end.html.tmpl
modified extensions/Voting/template/en/default/hook/bug/process/header-title.html.tmpl
modified extensions/Voting/template/en/default/hook/bug/process/results-title.html.tmpl
modified extensions/Voting/template/en/default/hook/global/code-error-errors.html.tmpl
modified extensions/Voting/template/en/default/hook/global/field-descs-end.none.tmpl
modified extensions/Voting/template/en/default/hook/global/reason-descs-end.none.tmpl
modified extensions/Voting/template/en/default/hook/global/user-error-errors.html.tmpl
modified extensions/Voting/template/en/default/hook/search/form-after_freetext_fields.html.tmpl
modified extensions/Voting/template/en/default/hook/search/search-report-select-rep_fields.html.tmpl
modified extensions/Voting/template/en/default/pages/voting.html.tmpl
modified extensions/Voting/template/en/default/pages/voting/bug.html.tmpl
modified extensions/Voting/template/en/default/pages/voting/user.html.tmpl
modified extensions/Voting/template/en/default/voting/delete-all.html.tmpl
modified extensions/Voting/template/en/default/voting/votes-removed.txt.tmpl
modified extensions/Voting/web/style.css
modified js/TUI.js
modified js/attachment.js
modified js/bug.js
modified js/change-columns.js
modified js/comments.js
modified js/custom-search.js
modified js/expanding-tree.js
modified js/field.js
modified js/flag.js
modified js/global.js
modified js/params.js
modified js/productform.js
modified js/util.js
modified skins/contrib/Dusk/buglist.css
modified skins/contrib/Dusk/global.css
modified skins/contrib/Dusk/index.css
modified skins/standard/IE-fixes.css
modified skins/standard/admin.css
modified skins/standard/attachment.css
modified skins/standard/buglist.css
modified skins/standard/dependency-tree.css
modified skins/standard/duplicates.css
modified skins/standard/editusers.css
modified skins/standard/enter_bug.css
modified skins/standard/global.css
modified skins/standard/index.css
modified skins/standard/page.css
modified skins/standard/params.css
modified skins/standard/reports.css                                                      
modified skins/standard/search_form.css
modified skins/standard/show_bug.css
modified skins/standard/show_multiple.css
modified skins/standard/summarize-time.css
modified t/001compile.t
modified t/002goodperl.t
modified t/003safesys.t
modified t/004template.t
modified t/005whitespace.t
modified t/006spellcheck.t
modified t/007util.t
modified t/008filter.t
modified t/009bugwords.t
modified t/010dependencies.t
modified t/011pod.t
modified t/012throwables.t
modified t/Support/Files.pm
modified t/Support/Systemexec.pm
modified t/Support/Templates.pm
modified template/en/default/config.js.tmpl
modified template/en/default/config.rdf.tmpl
modified template/en/default/filterexceptions.pl
modified template/en/default/index.html.tmpl
modified template/en/default/welcome-admin.html.tmpl
modified template/en/default/account/cancel-token.txt.tmpl
modified template/en/default/account/create.html.tmpl
modified template/en/default/account/created.html.tmpl
modified template/en/default/account/profile-activity.html.tmpl
modified template/en/default/account/auth/login-small.html.tmpl
modified template/en/default/account/auth/login.html.tmpl
modified template/en/default/account/email/change-new.txt.tmpl
modified template/en/default/account/email/change-old.txt.tmpl
modified template/en/default/account/email/confirm-new.html.tmpl
modified template/en/default/account/email/confirm.html.tmpl
modified template/en/default/account/email/request-new.txt.tmpl
modified template/en/default/account/password/forgotten-password.txt.tmpl
modified template/en/default/account/password/set-forgotten-password.html.tmpl
modified template/en/default/account/prefs/account.html.tmpl
modified template/en/default/account/prefs/email.html.tmpl
modified template/en/default/account/prefs/permissions.html.tmpl
modified template/en/default/account/prefs/prefs.html.tmpl
modified template/en/default/account/prefs/saved-searches.html.tmpl
modified template/en/default/account/prefs/settings.html.tmpl
modified template/en/default/admin/admin.html.tmpl
modified template/en/default/admin/confirm-action.html.tmpl
modified template/en/default/admin/sudo.html.tmpl
modified template/en/default/admin/table.html.tmpl
modified template/en/default/admin/classifications/add.html.tmpl
modified template/en/default/admin/classifications/del.html.tmpl
modified template/en/default/admin/classifications/edit-common.html.tmpl
modified template/en/default/admin/classifications/edit.html.tmpl
modified template/en/default/admin/classifications/footer.html.tmpl
modified template/en/default/admin/classifications/reclassify.html.tmpl
modified template/en/default/admin/classifications/select.html.tmpl
modified template/en/default/admin/components/confirm-delete.html.tmpl
modified template/en/default/admin/components/create.html.tmpl
modified template/en/default/admin/components/edit-common.html.tmpl
modified template/en/default/admin/components/edit.html.tmpl
modified template/en/default/admin/components/footer.html.tmpl
modified template/en/default/admin/components/list.html.tmpl
modified template/en/default/admin/components/select-product.html.tmpl
modified template/en/default/admin/custom_fields/cf-js.js.tmpl
modified template/en/default/admin/custom_fields/confirm-delete.html.tmpl
modified template/en/default/admin/custom_fields/create.html.tmpl
modified template/en/default/admin/custom_fields/edit.html.tmpl
modified template/en/default/admin/custom_fields/list.html.tmpl
modified template/en/default/admin/fieldvalues/confirm-delete.html.tmpl
modified template/en/default/admin/fieldvalues/create.html.tmpl
modified template/en/default/admin/fieldvalues/edit.html.tmpl
modified template/en/default/admin/fieldvalues/footer.html.tmpl
modified template/en/default/admin/fieldvalues/list.html.tmpl
modified template/en/default/admin/fieldvalues/select-field.html.tmpl
modified template/en/default/admin/flag-type/confirm-delete.html.tmpl
modified template/en/default/admin/flag-type/edit.html.tmpl
modified template/en/default/admin/flag-type/list.html.tmpl
modified template/en/default/admin/groups/confirm-remove.html.tmpl
modified template/en/default/admin/groups/create.html.tmpl
modified template/en/default/admin/groups/delete.html.tmpl
modified template/en/default/admin/groups/edit.html.tmpl
modified template/en/default/admin/groups/list.html.tmpl
modified template/en/default/admin/keywords/confirm-delete.html.tmpl
modified template/en/default/admin/keywords/create.html.tmpl
modified template/en/default/admin/keywords/edit.html.tmpl
modified template/en/default/admin/keywords/list.html.tmpl
modified template/en/default/admin/milestones/confirm-delete.html.tmpl
modified template/en/default/admin/milestones/create.html.tmpl
modified template/en/default/admin/milestones/edit.html.tmpl
modified template/en/default/admin/milestones/footer.html.tmpl
modified template/en/default/admin/milestones/list.html.tmpl
modified template/en/default/admin/milestones/select-product.html.tmpl
modified template/en/default/admin/params/admin.html.tmpl
modified template/en/default/admin/params/advanced.html.tmpl
modified template/en/default/admin/params/attachment.html.tmpl
modified template/en/default/admin/params/auth.html.tmpl
modified template/en/default/admin/params/bugchange.html.tmpl
modified template/en/default/admin/params/bugfields.html.tmpl
modified template/en/default/admin/params/common.html.tmpl
modified template/en/default/admin/params/core.html.tmpl
modified template/en/default/admin/params/dependencygraph.html.tmpl
modified template/en/default/admin/params/editparams.html.tmpl
modified template/en/default/admin/params/general.html.tmpl
modified template/en/default/admin/params/groupsecurity.html.tmpl
modified template/en/default/admin/params/index.html.tmpl
modified template/en/default/admin/params/ldap.html.tmpl
modified template/en/default/admin/params/mta.html.tmpl
modified template/en/default/admin/params/patchviewer.html.tmpl
modified template/en/default/admin/params/query.html.tmpl
modified template/en/default/admin/params/radius.html.tmpl
modified template/en/default/admin/params/shadowdb.html.tmpl
modified template/en/default/admin/params/usermatch.html.tmpl
modified template/en/default/admin/products/confirm-delete.html.tmpl
modified template/en/default/admin/products/create.html.tmpl
modified template/en/default/admin/products/edit-common.html.tmpl
modified template/en/default/admin/products/edit.html.tmpl
modified template/en/default/admin/products/footer.html.tmpl
modified template/en/default/admin/products/list-classifications.html.tmpl
modified template/en/default/admin/products/list.html.tmpl
modified template/en/default/admin/products/updated.html.tmpl
modified template/en/default/admin/products/groupcontrol/confirm-edit.html.tmpl
modified template/en/default/admin/products/groupcontrol/edit.html.tmpl
modified template/en/default/admin/products/groupcontrol/updated.html.tmpl
modified template/en/default/admin/sanitycheck/list.html.tmpl
modified template/en/default/admin/sanitycheck/messages.html.tmpl
modified template/en/default/admin/settings/edit.html.tmpl
modified template/en/default/admin/users/confirm-delete.html.tmpl
modified template/en/default/admin/users/create.html.tmpl
modified template/en/default/admin/users/edit.html.tmpl
modified template/en/default/admin/users/list.html.tmpl
modified template/en/default/admin/users/listselectvars.html.tmpl
modified template/en/default/admin/users/responsibilities.html.tmpl
modified template/en/default/admin/users/search.html.tmpl
modified template/en/default/admin/users/userdata.html.tmpl
modified template/en/default/admin/versions/confirm-delete.html.tmpl
modified template/en/default/admin/versions/create.html.tmpl
modified template/en/default/admin/versions/edit.html.tmpl
modified template/en/default/admin/versions/footer.html.tmpl
modified template/en/default/admin/versions/list.html.tmpl
modified template/en/default/admin/versions/select-product.html.tmpl
modified template/en/default/admin/workflow/comment.html.tmpl
modified template/en/default/admin/workflow/edit.html.tmpl
modified template/en/default/attachment/choose.html.tmpl
modified template/en/default/attachment/confirm-delete.html.tmpl
modified template/en/default/attachment/create.html.tmpl
modified template/en/default/attachment/created.html.tmpl
modified template/en/default/attachment/createformcontents.html.tmpl
modified template/en/default/attachment/delete_reason.txt.tmpl
modified template/en/default/attachment/diff-file.html.tmpl
modified template/en/default/attachment/diff-footer.html.tmpl
modified template/en/default/attachment/diff-header.html.tmpl
modified template/en/default/attachment/edit.html.tmpl
modified template/en/default/attachment/list.html.tmpl
modified template/en/default/attachment/midair.html.tmpl
modified template/en/default/attachment/show-multiple.html.tmpl
modified template/en/default/attachment/updated.html.tmpl
modified template/en/default/bug/choose.html.tmpl
modified template/en/default/bug/comments.html.tmpl
modified template/en/default/bug/dependency-graph.html.tmpl
modified template/en/default/bug/dependency-tree.html.tmpl
modified template/en/default/bug/edit.html.tmpl
modified template/en/default/bug/field-events.js.tmpl
modified template/en/default/bug/field-help.none.tmpl
modified template/en/default/bug/field-label.html.tmpl
modified template/en/default/bug/field.html.tmpl
modified template/en/default/bug/format_comment.txt.tmpl
modified template/en/default/bug/knob.html.tmpl
modified template/en/default/bug/link.html.tmpl
modified template/en/default/bug/navigate.html.tmpl
modified template/en/default/bug/show-header.html.tmpl
modified template/en/default/bug/show-multiple.html.tmpl
modified template/en/default/bug/show.html.tmpl
modified template/en/default/bug/show.xml.tmpl
modified template/en/default/bug/summarize-time.html.tmpl
modified template/en/default/bug/time.html.tmpl
modified template/en/default/bug/activity/show.html.tmpl
modified template/en/default/bug/activity/table.html.tmpl
modified template/en/default/bug/create/comment-guided.txt.tmpl
modified template/en/default/bug/create/comment.txt.tmpl
modified template/en/default/bug/create/create-guided.html.tmpl
modified template/en/default/bug/create/create.html.tmpl
modified template/en/default/bug/create/created.html.tmpl
modified template/en/default/bug/create/make-template.html.tmpl
modified template/en/default/bug/create/user-message.html.tmpl
modified template/en/default/bug/process/bugmail.html.tmpl
modified template/en/default/bug/process/confirm-duplicate.html.tmpl
modified template/en/default/bug/process/header.html.tmpl
modified template/en/default/bug/process/midair.html.tmpl
modified template/en/default/bug/process/results.html.tmpl
modified template/en/default/bug/process/verify-new-product.html.tmpl
modified template/en/default/email/bugmail-common.txt.tmpl
modified template/en/default/email/bugmail-header.txt.tmpl
modified template/en/default/email/bugmail.html.tmpl
modified template/en/default/email/bugmail.txt.tmpl
modified template/en/default/email/flagmail.txt.tmpl
modified template/en/default/email/lockout.txt.tmpl
modified template/en/default/email/sanitycheck.txt.tmpl
modified template/en/default/email/sudo.txt.tmpl
modified template/en/default/email/whine.txt.tmpl
modified template/en/default/extensions/config.pm.tmpl
modified template/en/default/extensions/extension.pm.tmpl
modified template/en/default/extensions/hook-readme.txt.tmpl
modified template/en/default/extensions/license.txt.tmpl
modified template/en/default/extensions/name-readme.txt.tmpl
modified template/en/default/extensions/util.pm.tmpl
modified template/en/default/extensions/web-readme.txt.tmpl
modified template/en/default/flag/list.html.tmpl
modified template/en/default/global/banner.html.tmpl
modified template/en/default/global/choose-classification.html.tmpl
modified template/en/default/global/choose-product.html.tmpl
modified template/en/default/global/code-error.html.tmpl
modified template/en/default/global/common-links.html.tmpl
modified template/en/default/global/confirm-action.html.tmpl
modified template/en/default/global/confirm-user-match.html.tmpl
modified template/en/default/global/docslinks.html.tmpl
modified template/en/default/global/field-descs.none.tmpl
modified template/en/default/global/footer.html.tmpl
modified template/en/default/global/header.html.tmpl
modified template/en/default/global/help.html.tmpl
modified template/en/default/global/hidden-fields.html.tmpl
modified template/en/default/global/js-products.html.tmpl
modified template/en/default/global/message.html.tmpl
modified template/en/default/global/message.txt.tmpl
modified template/en/default/global/messages.html.tmpl
modified template/en/default/global/per-bug-queries.html.tmpl
modified template/en/default/global/reason-descs.none.tmpl
modified template/en/default/global/select-menu.html.tmpl
modified template/en/default/global/setting-descs.none.tmpl
modified template/en/default/global/site-navigation.html.tmpl
modified template/en/default/global/tabs.html.tmpl
modified template/en/default/global/textarea.html.tmpl
modified template/en/default/global/useful-links.html.tmpl
modified template/en/default/global/user-error.html.tmpl
modified template/en/default/global/user.html.tmpl
modified template/en/default/global/userselect.html.tmpl
modified template/en/default/global/value-descs.js.tmpl
modified template/en/default/global/value-descs.none.tmpl
modified template/en/default/global/variables.none.tmpl
modified template/en/default/list/change-columns.html.tmpl
modified template/en/default/list/edit-multiple.html.tmpl
modified template/en/default/list/list-simple.html.tmpl
modified template/en/default/list/list.atom.tmpl
modified template/en/default/list/list.csv.tmpl
modified template/en/default/list/list.html.tmpl
modified template/en/default/list/list.ics.tmpl
modified template/en/default/list/list.js.tmpl
modified template/en/default/list/list.rdf.tmpl
modified template/en/default/list/quips.html.tmpl
modified template/en/default/list/server-push.html.tmpl
modified template/en/default/list/table.html.tmpl
modified template/en/default/pages/bug-writing.html.tmpl
modified template/en/default/pages/bugzilla.dtd.tmpl
modified template/en/default/pages/fields.html.tmpl
modified template/en/default/pages/linked.html.tmpl
modified template/en/default/pages/linkify.html.tmpl
modified template/en/default/pages/quicksearch.html.tmpl
modified template/en/default/pages/release-notes.html.tmpl
modified template/en/default/pages/release-notes3.html.tmpl
modified template/en/default/pages/sudo.html.tmpl
modified template/en/default/reports/chart.csv.tmpl
modified template/en/default/reports/chart.html.tmpl
modified template/en/default/reports/chart.png.tmpl
modified template/en/default/reports/components.html.tmpl
modified template/en/default/reports/create-chart.html.tmpl
modified template/en/default/reports/delete-series.html.tmpl
modified template/en/default/reports/duplicates-simple.html.tmpl
modified template/en/default/reports/duplicates-table.html.tmpl
modified template/en/default/reports/duplicates.html.tmpl
modified template/en/default/reports/edit-series.html.tmpl
modified template/en/default/reports/keywords.html.tmpl
modified template/en/default/reports/menu.html.tmpl                                      
modified template/en/default/reports/old-charts.html.tmpl
modified template/en/default/reports/report-bar.png.tmpl
modified template/en/default/reports/report-line.png.tmpl
modified template/en/default/reports/report-pie.png.tmpl
modified template/en/default/reports/report-simple.html.tmpl
modified template/en/default/reports/report-table.csv.tmpl
modified template/en/default/reports/report-table.html.tmpl
modified template/en/default/reports/report.csv.tmpl
modified template/en/default/reports/report.html.tmpl
modified template/en/default/reports/series-common.html.tmpl
modified template/en/default/reports/series.html.tmpl
modified template/en/default/request/queue.html.tmpl
modified template/en/default/search/boolean-charts.html.tmpl
modified template/en/default/search/field.html.tmpl
modified template/en/default/search/form.html.tmpl
modified template/en/default/search/knob.html.tmpl
modified template/en/default/search/search-advanced.html.tmpl
modified template/en/default/search/search-create-series.html.tmpl
modified template/en/default/search/search-plugin.xml.tmpl
modified template/en/default/search/search-report-graph.html.tmpl
modified template/en/default/search/search-report-select.html.tmpl
modified template/en/default/search/search-report-table.html.tmpl
modified template/en/default/search/search-specific.html.tmpl
modified template/en/default/search/tabs.html.tmpl
modified template/en/default/search/type-select.html.tmpl
modified template/en/default/setup/strings.txt.pl
modified template/en/default/whine/mail.html.tmpl
modified template/en/default/whine/mail.txt.tmpl
modified template/en/default/whine/multipart-mime.txt.tmpl
modified template/en/default/whine/schedule.html.tmpl
modified xt/search.t
modified xt/lib/Bugzilla/Test/Search.pm
modified xt/lib/Bugzilla/Test/Search/AndTest.pm
modified xt/lib/Bugzilla/Test/Search/Constants.pm
modified xt/lib/Bugzilla/Test/Search/CustomTest.pm
modified xt/lib/Bugzilla/Test/Search/FieldTest.pm
modified xt/lib/Bugzilla/Test/Search/FieldTestNormal.pm
modified xt/lib/Bugzilla/Test/Search/InjectionTest.pm
modified xt/lib/Bugzilla/Test/Search/NotTest.pm
modified xt/lib/Bugzilla/Test/Search/OperatorTest.pm
modified xt/lib/Bugzilla/Test/Search/OrTest.pm
Committed revision 8075.
Comment 49 Reed Loden [:reed] (use needinfo?) 2012-01-11 15:17:47 PST
Can we actually add a copy of the MPL 2 in the source tree? That would be nice to have...
Comment 50 Gervase Markham [:gerv] 2012-01-12 01:38:24 PST
That seems like a good idea. We should check in http://www.mozilla.org/MPL/2.0/index.txt as a top-level file called "LICENSE".

Gerv
Comment 51 Frédéric Buclin 2012-11-01 16:42:24 PDT
Added to the relnotes for 4.4.

Note You need to log in before you can comment on or make changes to this bug.